resource "tor_family_identity" "example" {
  family_name = "MyFamily"
}


resource "local_sensitive_file" "family_key" {
  content_base64 = tor_family_identity.example.secret_key
  filename       = "MyFamily.secret_family_key"
}

resource "local_file" "torrc" {
  filename = "./torrc"
  content  = <<EOF
FamilyId ${tor_family_identity.example.id}
... other torrc configuration ...
EOF
}
